from django.contrib.auth.models import Group, Permission, User
from django.contrib.contenttypes.models import ContentType
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    def handle(self, **options):
        admins, __ = Group.objects.get_or_create(name="Admini")
        admins.permissions.add(
            Permission.objects.get(codename="view_user", content_type=ContentType.objects.get_for_model(User)),
            Permission.objects.get(codename="add_user", content_type=ContentType.objects.get_for_model(User)),
            Permission.objects.get(codename="change_user", content_type=ContentType.objects.get_for_model(User)),
            Permission.objects.get(codename="delete_user", content_type=ContentType.objects.get_for_model(User)),
        )
        lexicographs, __ = Group.objects.get_or_create(name="Leksykografowie")
        lexicographs.permissions.add(
            # TODO
        )
        super_lexicographs, __ = Group.objects.get_or_create(name="Super Leksykografowie")
        super_lexicographs.permissions.add(
            # TODO
        )
